明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2393|回复: 5

求助:autocad主窗口不可见,如何处理呢?

[复制链接]
发表于 2004-3-18 17:43:00 | 显示全部楼层 |阅读模式
请看下面这个程序:(AutoCAD下的vba编的) Private Sub CommandButton1_Click()

Dim HatchObject As AcadHatch
Dim OuterCircle(0) As AcadCircle
Dim Center As Variant
Dim Radius As Double With ThisDrawing.Utility
Center = .GetPoint("Click the position or Enter the Center ordinate:")
Radius = .GetDistance(Center, "Enter the radius.")
End With

Set OuterCircle(0) = ThisDrawing.ModelSpace.AddCircle(Center, Radius)
OuterCircle(0).color = acYellow

OuterCircle(0).Update



'AddHatch方法: PatternType有三个参数: acHatchPatternTypePreDefined , acHatchPatternTypeUserDefined
' acHatchPatternTypeCustomDefined
' PatternName
' Associativity: true(图案与包含其的边界有关,随着边界的改变图像也会改变,填充区域改变边界不会变)



Set HatchObject = ThisDrawing.ModelSpace.AddHatch(acHatchPatternTypePreDefined, "ansi31", False)
HatchObject.AppendOuterLoop (OuterCircle) '设置填充的外环边界
HatchObject.Evaluate '寻找和剖面线相交的部分(和set hatchobject不合分割
HatchObject.Update
End Sub 运行后,出现错误提示;autocad主窗口不可见。 光标定位在getpoint一行
加入application.visual=true(我认为没必要)也不行。 大家帮帮忙吧。
发表于 2004-3-19 12:47:00 | 显示全部楼层
 楼主| 发表于 2004-3-19 16:46:00 | 显示全部楼层
谢谢这位朋友。 我改为正确的写法后,还是出现相同的错误提示.


不知道是怎么回事.
发表于 2006-5-27 11:30:00 | 显示全部楼层
在程式前加一句userform.hide程式(看你用哪个userform,如是userform3,则userform3.hide)
发表于 2006-5-28 12:30:00 | 显示全部楼层
赞同4楼的
发表于 2006-7-4 16:19:00 | 显示全部楼层

赞同4楼的!!

userform.hide

With ThisDrawing.Utility
      Center = .GetPoint("Click the position or Enter the Center ordinate:")
      Radius = .GetDistance(Center, "Enter the radius.")
   End With

userform.show

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 03:53 , Processed in 0.160402 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表